<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles.css">

    <title>HTML Example</title>
</head>
<body>
    <header>
        <h1>Welcome to Breaking Down a Website!</h1>
    </header>

    <nav>
        <ul>
            <li><a href="#">Home</a></li>
            <li><a href="#">About</a></li>
            <li><a href="#">Contact</a></li>
        </ul>
    </nav>

    <main>
        <section class="card">
            <h2>About Us</h2>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
            <p>Suspendisse aliquet urna eu quam placerat, eget euismod justo gravida.</p>
        </section>

        <section class="card">
            <h2>Our Services</h2>
            <ul>
                <li>Web Development</li>
                <li>Graphic Design</li>
                <li>SEO Optimization</li>
            </ul>
        </section>

        <section class="card">
            <h2>Contact</h2>
            <p>If you have any questions, feel free to contact us:</p>
            <p>Email: info@example.com</p>
            <p>Phone: +1 (123) 456-7890</p>
        </section>

        <section class="card">
            <div>
                <button id="changeHeaderText">Change Header Text</button>
            </div>
        </section>
    </main>

    <footer>
        <p>&copy; 2023 HTML Manipulation Example</p>
    </footer>
    <script type="module" src="/src/main.ts"></script>

</body>
</html>
